#
# spec file for package kvasd-installer 
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:		kvasd-installer
Version:        1.12.0_svn4991
Release:        2.52
License:        GPL-3.0
Summary:	Download helper for KVASD
URL:            http://physics.princeton.edu/pulsar/K1JT
Group:          Productivity/Hamradio/Other
Source0:	%{name}-%{version}.tar.bz2
Source1:        kvasd-installer.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:  autoconf
BuildRequires:  dialog dialog-devel
BuildRequires:  curl libcurl-devel
BuildRequires:  gcc-fortran
BuildRequires:  ncurses-utils

Requires:       subversion

%description
KVASD Installer is a set of scripts / functions to manage the Installation,
Removal and Testing of the KVASD decoder used with WSJT, WSJT-X and WSPR-X
from Joseph H, Taylor, K1JT.
The KVASD binary itself "is not" part of this package, as such, does not
violate FOSS.

%prep
%setup -q

%build 
autoconf -f -i
%configure
make %{?_smp_mflags}

%install
%make_install
# I prefer my desktop file
rm %{buildroot}%{_datadir}/applications/kvasd-installer.desktop
install -m 644 "%{SOURCE1}" %{buildroot}%{_datadir}/applications/kvasd-installer.desktop
# let us install the docs to the correct directory
rm -rf %{buildroot}%{_datadir}/doc

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/kvasd-installer.xpm
%{_datadir}/applications/kvasd-installer.desktop
%{_mandir}/man1/*
%doc README BUGS TODO COPYING COPYRIGHT

%changelog
* Sat Nov  8 2014 dl8fcl@darc.de
- import into buildservice
